import request from '@/utils/request'

//1.网站管理 start ------------------------------------->
//1.1 获取网站管理列表 //注意，post请求使用data get请求使用params
export function getWebList(params) {
  return request({
    url: '/website/getWebsiteList',
    method: 'get',
    params
  })
}

//1.2 删除网站
export function deleteWebList(data) {
  return request({
    url: '/website/delWebsite',
    method: 'post',
    data
  })
}

//1.3 查询所有网系
export function getwebsiteColumn(params) {
  return request({
    url: '/website/getWebsiteColumn',
    method: 'get',
    params
  })
}

//1.4 查询城市列表
export function getcityList(params) {
  return request({
    url: '/public/getDistrictList',
    method: 'get',
    params
  })
}

//1.5 上传文件
export function uploadFile(data) {
  return request({
    url: '/public/uploadFile',
    method: 'post',
    data
  })
}

//1.6 获取模板列表
export function getTemplate(params) {
  return request({
    url: '/website/getTemplate',
    method: 'get',
    params
  })
}

//1.7 添加网站
export function addWebsite(data) {
  return request({
    url: '/website/addWebsite',
    method: 'post',
    data
  })
}

//1.8 获取网站详情
export function getWebsiteInfo(params) {
  return request({
    url: '/website/getWebsiteInfo',
    method: 'get',
    params
  })
}

//1.9 编辑网站
export function updateWebsite(data) {
  return request({
    url: '/website/updateWebsite',
    method: 'post',
    data
  })
}
//网站管理 end ------------------------------------->

//2.导航池 start ------------------------------------->
//2.1 获取导航池列表
export function getCategoryList(params) {
  return request({
    url: '/news/getCategoryList',
    method: 'get',
    params
  })
}

//2.2 删除导航池
export function delCategory(data) {
  return request({
    url: '/news/delCategory',
    method: 'post',
    data
  })
}

//2.3 添加导航池
export function addCategory(data) {
  return request({
    url: '/news/addCategory',
    method: 'post',
    data
  })
}

//2.4 获取导航池信息
export function getCategoryInfo(params) {
  return request({
    url: '/news/getCategoryInfo',
    method: 'get',
    params
  })
}

//2.5 更新导航池
export function updateCategory(data) {
  return request({
    url: '/news/updateCategory',
    method: 'post',
    data
  })
}

//2.6 获取职能部门
export function getDepartment(params) {
  return request({
    url: '/public/getDepartment',
    method: 'get',
    params
  })
}

//2.7 获取父级导航
export function categoryList(params) {
  return request({
    url: '/news/categoryList',
    method: 'get',
    params
  })
}
//导航池 end ------------------------------------->

//3.网站导航 start ------------------------------------->
//3.1 获取网站列表
export function getNavWebList(params) {
  return request({
    url: '/website/websiteList',
    method: 'get',
    params
  })
}
//3.2 添加网站导航
export function addWebsiteCategory(data) {
  return request({
    url: '/website/addWebsiteCategory',
    method: 'post',
    data
  })
}
//网站导航 end ------------------------------------->
